import styles from "./Card.module.css";
function Card({ img, cardTitle, cardDescription, author }: any) {
  return (
    <article className={styles.card}>
      <img
        className={styles["card-avatar"]}
        src="https://picsum.photos/300/200"
        alt="Author photo"
      />
      <section className={styles["card-content"]}>
        <h3 className={styles["card-title"]}>Card Title </h3>
        <p className={styles["card-description"]}>
          This is a short description inside the This is a short description
          inside the
        </p>
      </section>
      <footer className={styles["card-footer"]}>
        <div className={styles["author-details"]}>
          <div>
            <img
              src="https://picsum.photos/40/40"
              alt="Author photo"
              className={styles["author-avatar"]}
            />
          </div>
          <div className="author-info">
            <div className={styles["author-name"]}>Syed Abdul Rahman</div>
            <div className={styles["post-info"]}>
              <div>July 13, 2020</div>
              <div>1 min</div>
            </div>
          </div>
        </div>
      </footer>
    </article>
  );
}

export default Card;
