import type { Preview } from '@storybook/nextjs'
import '../src/app/fonts.css'
const preview = {
  parameters: {
    backgrounds: {
      default: 'myCustomBlue',
      options: {
        myCustomBlue: { name: 'cutom-color', value: '#f8f9fa' }, // Example
      },
    },
    controls: {
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/i,
      },
    },

    a11y: {
      test: "todo"
    }
  },
  initialGlobals: {
    backgrounds: { value: 'myCustomBlue' },
  },
};

export default preview;
